# $Revision: 1.251.2.17 $, $Date: 2007/03/26 11:53:33 $
#
# Conditional build:
%bcond_without	chroot		# without chrooted user environment support
%bcond_with	gnome		# with gnome-askpass (GNOME 1.x) utility
%bcond_without	gtk		# without GTK+ (2.x)
%bcond_with	ldap		# with ldap support
%bcond_without	libedit		# without libedit (editline/history support in sftp client)
%bcond_without	kerberos5	# without kerberos5 support
%bcond_without	selinux		# build without SELinux support
%bcond_with	sshagentsh	# with system-wide script for starting ssh-agent
%bcond_with	hpn		# with High Performance SSH/SCP - HPN-SSH (see patch comment)
%bcond_with	hpn_none	# with hpn (above) and '-z' none cipher option
#
%if %{with hpn_none}
%undefine	with_hpn
%endif
# gtk2-based gnome-askpass means no gnome1-based
%{?with_gtk:%undefine with_gnome}
%define		_rel	1
Summary:	OpenSSH free Secure Shell (SSH) implementation
Summary(de):	OpenSSH - freie Implementation der Secure Shell (SSH)
Summary(es):	Implementacin libre de SSH
Summary(fr):	Implmentation libre du shell scuris OpenSSH (SSH)
Summary(it):	Implementazione gratuita OpenSSH della Secure Shell
Summary(pl):	Publicznie dostpna implementacja bezpiecznego shella (SSH)
Summary(pt):	Implementao livre OpenSSH do protocolo 'Secure Shell' (SSH)
Summary(pt_BR):	Implementao livre do SSH
Summary(ru):	OpenSSH -    Secure Shell (SSH)
Summary(uk):	OpenSSH - צ ̦æ  Secure Shell (SSH)
Name:		openssh
Version:	4.6p1
Release:	%{_rel}%{?with_hpn:hpn}%{?with_hpn_none:hpn_none}
Epoch:		2
License:	BSD
Group:		Applications/Networking
Source0:	ftp://ftp.ca.openbsd.org/pub/OpenBSD/OpenSSH/portable/%{name}-%{version}.tar.gz
# Source0-md5:	6a7fa99f44d9e1b5b04d15256e1405bb
Source1:	%{name}d.conf
Source2:	%{name}.conf
Source3:	%{name}d.init
Source4:	%{name}d.pamd
Source5:	%{name}.sysconfig
Source6:	passwd.pamd
Source7:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source7-md5:	66943d481cc422512b537bcc2c7400d1
Source11:	ssh-agent.sh
Source12:	ssh-agent.conf
Patch0:		%{name}-no_libnsl.patch
Patch2:		%{name}-linux-ipv6.patch
Patch3:		%{name}-pam_misc.patch
Patch4:		%{name}-sigpipe.patch
# http://www.opendarwin.org/projects/openssh-lpk/
Patch5:		%{name}-lpk-4.3p1-0.3.7.patch
Patch6:		%{name}-heimdal.patch
Patch7:		%{name}-pam-conv.patch
# http://chrootssh.sourceforge.net/download/osshChroot-3.7.1p2.diff
Patch8:		%{name}-chroot.patch
Patch9:		%{name}-selinux.patch
# HPN patches rediffed due sigpipe patch.
# High Performance SSH/SCP - HPN-SSH - http://www.psc.edu/networking/projects/hpn-ssh/
# http://www.psc.edu/networking/projects/hpn-ssh/openssh-4.2p1-hpn11.diff
Patch10:	%{name}-4.3p1-hpn11.patch
# Adds HPN (see p11) and an undocumented -z none cipher flag
# http://www.psc.edu/networking/projects/hpn-ssh/openssh-4.2p1-hpn11-none.diff
Patch11:	%{name}-4.3p1-hpn11-none.patch
Patch12:	%{name}-include.patch
URL:		http://www.openssh.com/
BuildRequires:	%{__perl}
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_gnome:BuildRequires:	gnome-libs-devel}
%{?with_gtk:BuildRequires:	gtk+2-devel}
%{?with_kerberos5:BuildRequires:	heimdal-devel >= 0.7}
%{?with_libedit:BuildRequires:	libedit-devel}
%{?with_selinux:BuildRequires:	libselinux-devel}
BuildRequires:	libwrap-devel
%{?with_ldap:BuildRequires:	openldap-devel}
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pam-devel
%{?with_gtk:BuildRequires:	pkgconfig}
BuildRequires:	rpmbuild(macros) >= 1.318
BuildRequires:	zlib-devel
Requires:	filesystem >= 2.0-1
Requires:	pam >= 0.79.0
Obsoletes:	ssh
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/ssh
%define		_libexecdir	%{_libdir}/%{name}
%define		_privsepdir	/usr/share/empty

%description
Ssh (Secure Shell) a program for logging into a remote machine and for
executing commands in a remote machine. It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network. X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

OpenSSH is OpenBSD's rework of the last free version of SSH, bringing
it up to date in terms of security and features, as well as removing
all patented algorithms to seperate libraries (OpenSSL).

This package includes the core files necessary for both the OpenSSH
client and server. To make this package useful, you should also
install openssh-clients, openssh-server, or both.
%if %{with hpn} || %{with hpn_none}
This release includes High Performance SSH/SCP patches from
http://www.psc.edu/networking/projects/hpn-ssh/ which are supposed
to increase throughput on fast connections with high RTT (20-150 msec).
See the website for '-w' values for your connection and /proc/sys TCP
values. BTW. in a LAN you have got generally RTT < 1 msec.
%endif
%if %{with hpn_none}
It also includes an undocumented '-z' option which switches
the cipher to none after authentication is completed. Data is
still secured from tampering and corruption in transit through
the use of the Message Authentication Code (MAC).
This option will significantly reduce the number of cpu cycles used
by the SSH/SCP process. This may allow some users to see significant
improvement in (sniffable) data tranfer rates.
%endif

%description -l de
OpenSSH (Secure Shell) stellt den Zugang zu anderen Rechnern her. Es
ersetzt telnet, rlogin, rexec und rsh und stellt eine sichere,
verschlsselte Verbindung zwischen zwei nicht vertrauenswrdigen Hosts
ber eine unsicheres Netzwerk her. X11 Verbindungen und beliebige
andere TCP/IP Ports knnen ebenso ber den sicheren Channel
weitergeleitet werden.

%description -l es
SSH es un programa para accesar y ejecutar rdenes en computadores
remotos. Sustituye rlogin y rsh, y suministra un canal de comunicacin
seguro entre dos servidores en una red insegura. Conexiones X11 y
puertas TCP/IP arbitrrias tambin pueden ser usadas por el canal
seguro.

OpenSSH es el resultado del trabajo del equipo de OpenBSD para
continuar la ltima versin gratuita de SSH, actualizndolo en
trminos de seguridad y recursos,as tambin eliminando todos los
algoritmos patentados y colocndolos en bibliotecas separadas
(OpenSSL).

Este paquete contiene "port" para Linux de OpenSSH. Se debe instalar
tambin el paquete openssh-clients u openssh-server o ambos.

%description -l fr
OpenSSH (Secure Shell) fournit un accs  un systme distant. Il
remplace telnet, rlogin, rexec et rsh, tout en assurant des
communications cryptes securises entre deux htes non fiabiliss sur
un rseau non scuris. Des connexions X11 et des ports TCP/IP
arbitraires peuvent galement tre transmis sur le canal scuris.

%description -l it
OpenSSH (Secure Shell) fornisce l'accesso ad un sistema remoto.
Sostituisce telnet, rlogin, rexec, e rsh, e fornisce comunicazioni
sicure e crittate tra due host non fidati su una rete non sicura. Le
connessioni X11 ad una porta TCP/IP arbitraria possono essere
inoltrate attraverso un canale sicuro.

%description -l pl
Ssh (Secure Shell) to program sucy do logowania si na zdaln
maszyn i uruchamiania na niej aplikacji. W zamierzeniu openssh ma
zastpi rlogin, rsh i dostarczy bezpieczne, szyfrowane poczenie
pomidzy dwoma hostami.

Ten pakiet zawiera podstawowe pliki potrzebne zarwno po stronie
klienta jak i serwera OpenSSH. Aby by uyteczny, trzeba zainstalowa
co najmniej jeden z pakietw: openssh-clients lub openssh-server.
%if %{with hpn} || %{with hpn_none}
Ta wersja zawiera aty z projektu High Performance SSH/SCP
http://www.psc.edu/networking/projects/hpn-ssh/, ktre maj na celu
zwikszenie przepustowoci transmisji dla szybkich pocze
z duym RTT (20-150 msec). Na stronie projektu znale mona
odpowednie dla danego poczenia wartoci parametru '-w' oraz
opcje /proc/sys dla TCP. Nawiasem mwic w sieciach LAN RTT < 1 msec.
%endif
%if %{with hpn_none}
Obsugiwana jest rwnie nieudokumentowana opcja '-z' odpowiedzialna
za wyczenie szyfrowania danych po zakoczeniu procesu uwierzytelniania.
Dane s zabezpieczone przed modyfikacj lub uszkodzeniem przez
stosowanie Message Authentication Code (MAC).
Opcja ta znacznie redukuje liczb cykli procesora zuywanych przez
procesy SSH/SCP. W wybranych zastosowaniach moe ona wpyn
na wyrane przyspieszenie (podsuchiwalnej) transmisji danych.
%endif

%description -l pt
OpenSSH (Secure Shell) fornece acesso a um sistema remoto. Substitui o
telnet, rlogin, rexec, e o rsh e fornece comunicaes seguras e
cifradas entre duas mquinas sem confiana mtua sobre uma rede
insegura. Ligaes X11 e portos TCP/IP arbitrrios tambm poder ser
reenviados pelo canal seguro.

%description -l pt_BR
SSH  um programa para acessar e executar comandos em mquinas
remotas. Ele substitui rlogin e rsh, e provem um canal de comunicao
seguro entre dois hosts em uma rede insegura. Conexes X11 e portas
TCP/IP arbitrrias tambm podem ser usadas pelo canal seguro.

OpenSSH  o resultado do trabalho da equipe do OpenBSD em continuar a
ltima verso gratuita do SSH, atualizando-o em termos de segurana e
recursos, assim como removendo todos os algoritmos patenteados e
colocando-os em bibliotecas separadas (OpenSSL).

Esse pacote contm o "port" pra Linux do OpenSSH. Voc deve instalar
tambm ou o pacote openssh-clients, ou o openssh-server, ou ambos.

%description -l ru
Ssh (Secure Shell) -    "" (login)  
       .  
  rlogin  rsh    
     ,  .
 X11    TCP/IP     
 .

OpenSSH -     OpenBSD 
  SSH,      
    .  
     (OpenSSL).

   ,    ,   
 OpenSSH.      openssh-clients,
openssh-server,   .

%description -l uk
Ssh (Secure Shell) -    "" (login)  צϧ
      צΦ Φ.  
 ͦ rlogin  rsh  դ   Φæ
ͦ    ֦,    . ' X11 
צΦ  TCP/IP    Φ  
.

OpenSSH -    ˦ OpenBSD ϧ צϧ
Ӧ SSH,      ͦ Ҧ  
Ц . Ӧ Φ  Φ 
 ¦̦ (OpenSSL).

  ͦ , ȦΦ   ̦,    
OpenSSH.  Ҧ    openssh-clients,
openssh-server,   .

%package clients
Summary:	OpenSSH Secure Shell protocol clients
Summary(es):	Clientes de OpenSSH
Summary(pl):	Klienci protokou Secure Shell
Summary(pt_BR):	Clientes do OpenSSH
Summary(ru):	OpenSSH -   Secure Shell
Summary(uk):	OpenSSH - ̦  Secure Shell
Group:		Applications/Networking
Requires:	%{name} = %{epoch}:%{version}-%{release}
%{?with_sshagentsh:Requires:	xinitrc}
Provides:	ssh-clients
Obsoletes:	ssh-clients

%description clients
Ssh (Secure Shell) a program for logging into a remote machine and for
executing commands in a remote machine. It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network. X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

OpenSSH is OpenBSD's rework of the last free version of SSH, bringing
it up to date in terms of security and features, as well as removing
all patented algorithms to seperate libraries (OpenSSL).

This package includes the clients necessary to make encrypted
connections to SSH servers.

%description clients -l es
Este paquete incluye los clientes que se necesitan para hacer
conexiones codificadas con servidores SSH.

%description clients -l pl
Ssh (Secure Shell) to program sucy do logowania si na zdaln
maszyn i uruchamiania na niej aplikacji. W zamierzeniu openssh ma
zastpi rlogin, rsh i dostarczy bezpieczne, szyfrowane poczenie
pomidzy dwoma hostami.

Ten pakiet zawiera klientw sucych do czenia si z serwerami SSH.

%description clients -l pt_BR
Esse pacote inclui os clientes necessrios para fazer conexes
encriptadas com servidores SSH.

%description clients -l ru
Ssh (Secure Shell) -    "" (login)  
       .

   -,   
    SSH.

%description clients -l uk
Ssh (Secure Shell) -    "" (login)  צϧ
      צΦ Φ.

  ͦ -̦, ȦΦ  
 '   SSH.

%package server
Summary:	OpenSSH Secure Shell protocol server (sshd)
Summary(de):	OpenSSH Secure Shell Protocol-Server (sshd)
Summary(es):	Servidor OpenSSH para comunicaciones codificadas
Summary(fr):	Serveur de protocole du shell scuris OpenSSH (sshd)
Summary(it):	Server OpenSSH per il protocollo Secure Shell (sshd)
Summary(pl):	Serwer protokou Secure Shell (sshd)
Summary(pt):	Servidor do protocolo 'Secure Shell' OpenSSH (sshd)
Summary(pt_BR):	Servidor OpenSSH para comunicaes encriptadas
Summary(ru):	OpenSSH -   Secure Shell (sshd)
Summary(uk):	OpenSSH -   Secure Shell (sshd)
Group:		Networking/Daemons
Requires(post):	chkconfig >= 0.9
Requires(post):	grep
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/useradd
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	/bin/login
Requires:	pam >= 0.77.3
Requires:	rc-scripts >= 0.4.0.18
Requires:	util-linux
Provides:	ssh-server
Provides:	user(sshd)

%description server
Ssh (Secure Shell) a program for logging into a remote machine and for
executing commands in a remote machine. It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network. X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

OpenSSH is OpenBSD's rework of the last free version of SSH, bringing
it up to date in terms of security and features, as well as removing
all patented algorithms to seperate libraries (OpenSSL).

This package contains the secure shell daemon. The sshd is the server
part of the secure shell protocol and allows ssh clients to connect to
your host.

%description server -l de
Dieses Paket installiert den sshd, den Server-Teil der OpenSSH.

%description server -l es
Este paquete contiene el servidor SSH. sshd es la parte servidor del
protocolo secure shell y permite que clientes ssh se conecten a su
servidor.

%description server -l fr
Ce paquetage installe le 'sshd', partie serveur de OpenSSH.

%description server -l it
Questo pacchetto installa sshd, il server di OpenSSH.

%description server -l pl
Ssh (Secure Shell) to program sucy do logowania si na zdaln
maszyn i uruchamiania na niej aplikacji. W zamierzeniu openssh ma
zastpi rlogin, rsh i dostarczy bezpieczne, szyfrowane poczenie
pomidzy dwoma hostami.

Ten pakiet zawiera serwer sshd (do ktrego mog czy si klienci
ssh).

%description server -l pt
Este pacote intala o sshd, o servidor do OpenSSH.

%description server -l pt_BR
Esse pacote contm o servidor SSH. O sshd  a parte servidor do
protocolo secure shell e permite que clientes ssh se conectem ao seu
host.

%description server -l ru
Ssh (Secure Shell) -    "" (login)  
       .

   sshd - "" Secure Shell. sshd -  
  Secure Shell,   ssh  
 .

%description server -l uk
Ssh (Secure Shell) -    "" (login)  צϧ
      צΦ Φ.

  ͦ sshd - "" Secure Shell. sshd -  
  Secure Shell,  Ѥ ̦ ssh '
  .

%package gnome-askpass
Summary:	OpenSSH GNOME passphrase dialog
Summary(de):	OpenSSH GNOME Passwort-Dialog
Summary(es):	Dilogo para introduccin de passphrase para GNOME
Summary(fr):	Dialogue pass-phrase GNOME d'OpenSSH
Summary(it):	Finestra di dialogo GNOME per la frase segreta di OpenSSH
Summary(pl):	Odpytywacz hasa OpenSSH dla GNOME
Summary(pt):	Dilogo de pedido de senha para GNOME do OpenSSH
Summary(pt_BR):	Dilogo para entrada de passphrase para GNOME
Summary(ru):	OpenSSH -     (passphrase)  GNOME
Summary(uk):	OpenSSH - Ħ  ϧ  (passphrase)  GNOME
Group:		Applications/Networking
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	openssh-askpass
Obsoletes:	ssh-askpass
Obsoletes:	ssh-extras

%description gnome-askpass
Ssh (Secure Shell) a program for logging into a remote machine and for
executing commands in a remote machine. It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network. X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

OpenSSH is OpenBSD's rework of the last free version of SSH, bringing
it up to date in terms of security and features, as well as removing
all patented algorithms to seperate libraries (OpenSSL).

This package contains the GNOME passphrase dialog.

%description gnome-askpass -l es
Este paquete contiene un programa que abre una caja de dilogo para
entrada de passphrase en GNOME.

%description gnome-askpass -l pl
Ssh (Secure Shell) to program sucy do logowania si na zdaln
maszyn i uruchamiania na niej aplikacji. W zamierzeniu openssh ma
zastpi rlogin, rsh i dostarczy bezpieczne, szyfrowane poczenie
pomidzy dwoma hostami.

Ten pakiet zawiera ,,odpytywacz hasa'' dla GNOME.

%description gnome-askpass -l pt_BR
Esse pacote contm um programa que abre uma caixa de dilogo para
entrada de passphrase no GNOME.

%description gnome-askpass -l ru
Ssh (Secure Shell) -    "" (login)  
       .

         
GNOME.

%description gnome-askpass -l uk
Ssh (Secure Shell) -    "" (login)  צϧ
      צΦ Φ.

  ͦ Ħ  ϧ    Ц
GNOME.

%prep
%setup -q
%patch0 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%{?with_ldap:%patch5 -p1}
%{?with_kerberos5:%patch6 -p1}
#%patch7 -p1
%patch8 -p1
%patch9 -p1
%{?with_hpn:%patch10 -p1}
%{?with_hpn_none:%patch11 -p1}
%patch12 -p1

%build
cp /usr/share/automake/config.sub .
%{__aclocal}
%{__autoconf}
%{?with_chroot:CPPFLAGS="-DCHROOT"}
%configure \
	PERL=%{__perl} \
	--with-dns \
	--with-pam \
	--with-mantype=man \
	--with-md5-passwords \
	--with-ipaddr-display \
	%{?with_libedit:--with-libedit} \
	--with-4in6 \
	--disable-suid-ssh \
	--with-tcp-wrappers \
	%{?with_ldap:--with-libs="-lldap -llber"} \
	%{?with_ldap:--with-cppflags="-DWITH_LDAP_PUBKEY"} \
	%{?with_kerberos5:--with-kerberos5} \
	--with-privsep-path=%{_privsepdir} \
	--with-pid-dir=%{_localstatedir}/run \
	--with-xauth=/usr/X11R6/bin/xauth \
	--enable-utmpx \
	--enable-wtmpx

echo '#define LOGIN_PROGRAM		   "/bin/login"' >>config.h

%{__make}

cd contrib
%if %{with gnome}
%{__make} gnome-ssh-askpass1 \
	CC="%{__cc} %{rpmldflags} %{rpmcflags}"
%endif
%if %{with gtk}
%{__make} gnome-ssh-askpass2 \
	CC="%{__cc} %{rpmldflags} %{rpmcflags}"
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/etc/{pam.d,rc.d/init.d,sysconfig,security,env.d}} \
	$RPM_BUILD_ROOT%{_libexecdir}/ssh
%{?with_sshagentsh:install -d $RPM_BUILD_ROOT/etc/{profile.d,X11/xinit/xinitrc.d}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE4} $RPM_BUILD_ROOT/etc/pam.d/sshd
install %{SOURCE6} $RPM_BUILD_ROOT/etc/pam.d/passwdssh
install %{SOURCE5} $RPM_BUILD_ROOT/etc/sysconfig/sshd
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/sshd
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/ssh_config
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/sshd_config
%if %{with sshagentsh}
install %{SOURCE11} $RPM_BUILD_ROOT/etc/profile.d
ln -sf	/etc/profile.d/ssh-agent.sh $RPM_BUILD_ROOT/etc/X11/xinit/xinitrc.d/ssh-agent.sh
install %{SOURCE12} $RPM_BUILD_ROOT%{_sysconfdir}
%endif

bzip2 -dc %{SOURCE7} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%if %{with gnome}
install contrib/gnome-ssh-askpass1 $RPM_BUILD_ROOT%{_libexecdir}/ssh/ssh-askpass
%endif
%if %{with gtk}
install contrib/gnome-ssh-askpass2 $RPM_BUILD_ROOT%{_libexecdir}/ssh/ssh-askpass
%endif
%if %{with gnome} || %{with gtk}
cat << EOF >$RPM_BUILD_ROOT/etc/env.d/GNOME_SSH_ASKPASS_GRAB_SERVER
#GNOME_SSH_ASKPASS_GRAB_SERVER="true"
EOF
cat << EOF >$RPM_BUILD_ROOT/etc/env.d/GNOME_SSH_ASKPASS_GRAB_POINTER
#GNOME_SSH_ASKPASS_GRAB_POINTER="true"
EOF
ln -s %{_libexecdir}/ssh/ssh-askpass $RPM_BUILD_ROOT%{_libexecdir}/ssh-askpass
%endif

rm -f	$RPM_BUILD_ROOT%{_mandir}/man1/slogin.1
echo ".so ssh.1" > $RPM_BUILD_ROOT%{_mandir}/man1/slogin.1

touch $RPM_BUILD_ROOT/etc/security/blacklist.sshd

%if "%{_lib}" != "lib"
find $RPM_BUILD_ROOT%{_sysconfdir} -type f -print0 | xargs -0 sed -i -e 's#%{_prefix}/lib#%{_libdir}#'
%endif

cat << 'EOF' > $RPM_BUILD_ROOT/etc/env.d/SSH_ASKPASS
#SSH_ASKPASS="%{_libexecdir}/ssh-askpass"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post clients
%env_update

%postun clients
%env_update

%post gnome-askpass
%env_update

%postun gnome-askpass
%env_update

%pre server
%useradd -P %{name}-server -u 40 -d %{_privsepdir} -s /bin/false -c "OpenSSH PrivSep User" -g nobody sshd

%post server
/sbin/chkconfig --add sshd
%service sshd reload "openssh daemon"
if ! grep -qs ssh /etc/security/passwd.conf ; then
	umask 022
	echo "ssh" >> /etc/security/passwd.conf
fi

%preun server
if [ "$1" = "0" ]; then
	%service sshd stop
	/sbin/chkconfig --del sshd
fi

%postun server
if [ "$1" = "0" ]; then
	%userremove sshd
fi

%files
%defattr(644,root,root,755)
%doc *.RNG TODO README OVERVIEW CREDITS Change*
%attr(755,root,root) %{_bindir}/ssh-key*
%{_mandir}/man1/ssh-key*.1*
%dir %{_sysconfdir}
%dir %{_libexecdir}

%files clients
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ssh
%attr(755,root,root) %{_bindir}/slogin
%attr(755,root,root) %{_bindir}/sftp
%attr(755,root,root) %{_bindir}/ssh-agent
%attr(755,root,root) %{_bindir}/ssh-add
%attr(755,root,root) %{_bindir}/scp
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ssh_config
%config(noreplace,missingok) %verify(not md5 mtime size) /etc/env.d/SSH_ASKPASS
%if %{with sshagentsh}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ssh-agent.conf
%attr(755,root,root) /etc/profile.d/ssh-agent.sh
%attr(755,root,root) /etc/X11/xinit/xinitrc.d/ssh-agent.sh
%endif
%{_mandir}/man1/scp.1*
%{_mandir}/man1/ssh.1*
%{_mandir}/man1/slogin.1*
%{_mandir}/man1/sftp.1*
%{_mandir}/man1/ssh-agent.1*
%{_mandir}/man1/ssh-add.1*
%{_mandir}/man5/ssh_config.5*
%lang(it) %{_mandir}/it/man1/ssh.1*
%lang(it) %{_mandir}/it/man5/ssh_config.5*
%lang(pl) %{_mandir}/pl/man1/scp.1*
%lang(zh_CN) %{_mandir}/zh_CN/man1/scp.1*

# for host-based auth (suid required for accessing private host key)
#%attr(4755,root,root) %{_libexecdir}/ssh-keysign
#%{_mandir}/man8/ssh-keysign.8*

%files server
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/sshd
%attr(755,root,root) %{_libexecdir}/sftp-server
%attr(755,root,root) %{_libexecdir}/ssh-keysign
%{_mandir}/man8/sshd.8*
%{_mandir}/man8/sftp-server.8*
%{_mandir}/man8/ssh-keysign.8*
%{_mandir}/man5/sshd_config.5*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sshd_config
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/sshd
%attr(640,root,root) %{_sysconfdir}/moduli
%attr(754,root,root) /etc/rc.d/init.d/sshd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/sshd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist.sshd

%if %{with gnome} || %{with gtk}
%files gnome-askpass
%defattr(644,root,root,755)
%config(noreplace,missingok) %verify(not md5 mtime size) /etc/env.d/GNOME_SSH_ASKPASS*
%dir %{_libexecdir}/ssh
%attr(755,root,root) %{_libexecdir}/ssh/ssh-askpass
%attr(755,root,root) %{_libexecdir}/ssh-askpass
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openssh.spec,v $
Revision 1.251.2.17  2007/03/26 11:53:33  hawk
- oops! md5 fixed

Revision 1.251.2.16  2007/03/26 11:21:52  hawk
- updated to 4.6p1

Revision 1.251.2.15  2006/12/12 17:15:16  glen
- added checkconfig to service sshd reload; rel 4

Revision 1.251.2.14  2006/11/15 13:41:51  glen
- connect moved to separate package "connect"; rel 3

Revision 1.251.2.13  2006/11/15 08:29:52  hawk
- ehh, really updated connect.c/connect.html
- release 2

Revision 1.251.2.12  2006/11/15 08:23:38  hawk
- updated to 4.5p1, updated connect.c to revision 1.96

Revision 1.251.2.11  2006/11/06 17:46:11  glen
- updated dep for /usr/share/empty dir (FHS -> filesystem); release 2

Revision 1.251.2.10  2006/10/12 22:02:09  glen
- updated to 4.4p1

Revision 1.251.2.9  2006/09/27 19:41:11  glen
- rel 7; fixes CVE-2006-4924

Revision 1.251.2.8  2006/09/09 01:29:17  glen
- rel 6 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.251.2.7  2006/09/06 19:53:43  glen
- reverted (devel-en)

Revision 1.251.2.6  2006/09/06 18:43:40  aredridel
- R(post) and R(postun) env-update

Revision 1.251.2.5  2006/08/31 23:22:44  glen
- rel 5

Revision 1.251.2.4  2006/08/31 19:55:39  glen
- merge from HEAD, rel 4

Revision 1.251.2.3  2006/06/12 09:18:48  shadzik
- updated lpk patch to openssh-lpk-4.3p1-0.3.7.patch

Revision 1.251.2.2  2006/04/14 15:31:28  glen
- use %service, rel 3

Revision 1.251.2.1  2006/02/20 18:25:42  baggins
- release 2
- proper xauth path

Revision 1.251  2006/02/19 19:06:59  qboosh
- updated to 4.3p2 (fixes for logout recording with privsep disabled)

Revision 1.250  2006/02/16 00:19:38  baggins
- release 4
- authors of openssh _still_ got no brain
- enable u/wtmpx support

Revision 1.249  2006/02/13 12:28:08  glen
- updated HPN patches to 4.3p1

Revision 1.248  2006/02/13 12:00:17  glen
- adapterized

Revision 1.247  2006/02/09 14:13:17  wrobell
- shit

Revision 1.246  2006/02/09 14:09:19  wrobell
- support for modular xorg
- rel. 3

Revision 1.245  2006/02/02 09:38:13  qboosh
- added CVE note to previous commit message

Revision 1.244  2006/02/02 08:46:07  hawk
- updated to 4.3p1
  [fixes CVE-2006-0225]
- updated sigpipe and linux-ipv6 patches for 4.3p1
- updated lpk patch to 0.3.6
- release 2 (1 will be for Ra)

Revision 1.243  2006/01/05 08:49:32  qrczak
- Fixed #include in zlib version detection.

Revision 1.242  2005/12/21 12:07:49  wrobell
- info about xauth for modularized xorg

Revision 1.241  2005/10/31 09:41:16  mguevara
- adds hpn and hpn_none "with" bconds (patches 11 and 12).

Revision 1.240  2005/10/13 06:28:39  arekm
- rel 5; revert openssl req (signle package in ready was broken)

Revision 1.239  2005/10/12 17:36:17  jack
- proper requires (there is no prereq (c) arekm))

Revision 1.238  2005/10/12 17:27:21  jack
- rel 4 - rebuild against new openssl

Revision 1.237  2005/09/03 14:19:57  hawk
- release 3 (another unnecessary release bump and package rebuild, checking
  if release 1 should go to Ra is obviously too difficult to perform)

Revision 1.236  2005/09/02 19:36:21  arekm
- up to 4.2p1

Revision 1.235  2005/08/18 07:09:01  qboosh
- more general lib64 subst

Revision 1.234  2005/08/17 23:27:23  aredridel
- use lib64 in config files for amd64

Revision 1.233  2005/08/11 20:44:53  glen
- require newer rc-scripts for updated initscript

Revision 1.232  2005/08/11 20:41:25  troll
- release 5 to rebuild with the new openssl

Revision 1.231  2005/07/08 18:06:22  arekm
- BR heimdal-devel >= 0.7

Revision 1.230  2005/05/29 12:36:37  hawk
- release 3 (2 for Ra, please don't forget about Ra to avoid release bumps)

Revision 1.229  2005/05/29 12:14:48  adamg
- updated to 4.1p1

Revision 1.228  2005/05/20 08:25:58  baggins
- release 5
- moved SERVICE_LIMITS to proper place (sysconfig)
- set max user processes limit to unlimited by default

Revision 1.227  2005/05/12 13:21:36  baggins
- release 4
- req pam 0.79

Revision 1.226  2005/05/10 14:23:39  qboosh
- unified

Revision 1.225  2005/05/09 23:39:35  pluto
- release 3 for Th.

Revision 1.224  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.223  2005/03/25 13:39:00  hawk
- Source9 and Source10 moved to SOURCES

Revision 1.222  2005/03/17 11:07:31  hawk
- works for me, release 2 (1 for Ra)

Revision 1.221  2005/03/17 10:36:27  hawk
- updated LDAP public key patch to version 0.3

Revision 1.220  2005/03/12 23:37:43  matowy
- fix and rel 0.2

Revision 1.219  2005/03/12 23:33:19  matowy
- updated ldap public key patch
- updated ssh proxy command (connect.c)

Revision 1.218  2005/03/10 22:03:55  qboosh
- build sftp with editline support

Revision 1.217  2005/03/10 14:46:30  qboosh
- wrrr, updated sigpipe,chroot patches

Revision 1.216  2005/03/10 14:15:06  cieciwa
- upgrade to 4.0p1,
- updated MS5 sum.
- REQ patch look and FIX

Revision 1.215  2004/11/24 21:58:25  hawk
- rel 5

Revision 1.214  2004/11/17 21:25:56  glen
- added selinux bcond; rel 3; STBR

Revision 1.213  2004/10/28 09:58:32  paladine
- "GTK+" unification (hope thats all)

Revision 1.212  2004/10/12 12:35:25  ankry
- %groupremove/%userremove support, some standarization

Revision 1.211  2004/09/12 12:09:03  blues
- release 2; changed default config, see:
  http://securitytracker.com/alerts/2004/Sep/1011143.html

Revision 1.210  2004/09/02 14:36:07  snurf
- typos / formatting / etc.

Revision 1.209  2004/08/29 14:18:06  qboosh
- moved libexecdir dir to base (used both by server and askpass)

Revision 1.208  2004/08/29 13:11:07  blues
- added vars set with env.d

Revision 1.207  2004/08/17 17:35:40  arekm
- rel 1 (works for me)

Revision 1.206  2004/08/17 17:25:47  arekm
- started 3.9p1

Revision 1.205  2004/08/06 18:12:29  qboosh
- strict internal deps, unifications

Revision 1.204  2004/08/06 00:35:10  twittner
- move R: xinitrc in proper place (to client subpackage - noticed by arekm).

Revision 1.203  2004/08/06 00:15:09  twittner
- add /etc/profile.d/ssh-agent.sh (in bcond, default turn off for now).
  ssh-agent.sh starts only one copy of ssh-agent per user and exports
  SSH_AGENT_PID SSH_AUTH_SOCK environment variables for each new login
  session of given user (it has similar use to keychain).

Revision 1.202  2004/06/11 21:26:46  ankry
- non-English man pages added, rel. 2

Revision 1.201  2004/06/10 13:36:53  arekm
- askpass default location symlink

Revision 1.200  2004/04/28 23:42:20  arekm
- updated to 3.8.1p1

Revision 1.199  2004/04/28 23:13:03  arekm
- rel 3; fix issues with utmp lines longer than 7 characters ie pts/1000

Revision 1.198  2004/04/05 22:24:11  adgor
- SSH_ASKPASS value shouldn't be set per host (even You need this value
  to be global - put it to /etc/env.d dir)

Revision 1.197  2004/03/19 23:46:32  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.196  2004/03/16 11:21:50  wrobell
- rel. 1 to rebuild with new ldap on nest builders

Revision 1.195  2004/03/09 14:03:29  baggins
- release 0.3
- not screwed version of this crap is a version lost. the horror, the horror...

Revision 1.194  2004/02/26 18:50:37  qboosh
- updated heimdal,selinux,selinux-pld patches

Revision 1.193  2004/02/25 19:51:45  misi3k
- rel 0.2
Note: builds without krb5, NFY

Revision 1.192  2004/02/25 18:46:04  misi3k
- start update to 3.8p1
- rel 0.1

Revision 1.191  2004/01/22 12:21:28  qboosh
- cleanups

Revision 1.190  2004/01/05 14:04:52  arekm
- changed behaviour of selinux code in permissive mode

Revision 1.189  2003/12/27 21:08:53  qboosh
- moved -lselinux to proper place in selinux patch, release 4.4

Revision 1.188  2003/12/27 20:41:11  qboosh
- updated bcond switching magick

Revision 1.187  2003/12/26 19:02:54  arekm
- added selinux support

Revision 1.186  2003/12/25 17:05:35  ankry
- rel. up to (4.2) be greater than in Ra (4)

Revision 1.185  2003/12/22 09:54:35  jajcus
- copy config.sub from automake

Revision 1.184  2003/10/07 19:17:31  pius
- enhanced openssh-chroot.patch with UseChroot configuration option
- changed the way this patch is applied and used (now applied by default)

Revision 1.183  2003/10/06 12:32:02  pius
- added conditional built with chrootssh support
- new bcond style

Revision 1.182  2003/10/05 16:14:39  arekm
- kerberos enabled by default (of course -libs is very small); enabled ability to verify host signatures in DNS records, added ssh-keysign binary (which should be suid-root but isn't for now)

Revision 1.181  2003/10/01 09:07:53  qboosh
- killed orig_ver - no longer necessary

Revision 1.180  2003/10/01 07:28:16  qboosh
- fixed double "c" addition

Revision 1.179  2003/09/30 20:18:28  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.178  2003/09/30 19:32:17  eothane
- openssl 0.9.7c
- next release

Revision 1.177  2003/09/26 14:23:49  baggins
- release 2

Revision 1.176  2003/09/26 14:20:25  baggins
- req pam >= 0.77.3

Revision 1.175  2003/09/23 16:47:17  baggins
- that's incredible, they got pam working :o

Revision 1.174  2003/09/23 13:21:27  adamg
- security update to 3.7.1p2 (see http://www.openssh.com/txt/sshpam.adv)

Revision 1.173  2003/09/18 16:03:25  baggins
- do apply patch7

Revision 1.172  2003/09/18 15:50:16  baggins
- release 3
- fixed force password changing at login

Revision 1.171  2003/09/17 19:27:16  blues
- cosmetics

Revision 1.170  2003/09/17 18:25:34  krzak
- Provides: ssh-clients, ssh-server
- rel 2

Revision 1.169  2003/09/17 05:24:41  misi3k
- updated to 3.7.1p1

Revision 1.168  2003/09/16 17:28:55  baggins
- updated to 3.7p1

Revision 1.167  2003/08/27 10:41:34  ankry
- Source-md5 -> NoSource-md5 (don't put text files on distfiles)

Revision 1.166  2003/08/25 21:37:25  qboosh
- updated init scripts for new rc-scripts-ulimits.patch, release 6

Revision 1.165  2003/08/22 19:32:30  areq
- add http://www.imasy.or.jp/~gotoh/ssh/connect.html

Revision 1.164  2003/08/18 08:08:24  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.163  2003/08/12 21:41:08  qboosh
- updated init script for new limits support in rc-scripts
- moved "ldap" mark from version to release
- release 4

Revision 1.162  2003/07/29 16:21:29  aredridel
- added optional kerberos support

Revision 1.161  2003/06/23 15:33:25  averne
- sorry, forgotten one thing ;)

Revision 1.160  2003/06/23 15:13:15  averne
- fixed epoch:version issue

Revision 1.159  2003/06/12 08:51:45  malekith
- release 2 to rebuild without this ldap patch that brokes key
  authentication

Revision 1.158  2003/06/07 15:07:13  eothane
- patch5 shouldn't be applied by default

Revision 1.157  2003/06/06 12:00:12  misi3k
- rel 1 (looks stable)

Revision 1.156  2003/05/25 11:00:56  malekith
- massive attack, adding Source-md5

Revision 1.155  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.154  2003/05/22 19:15:43  misi3k
- bcond ldap with -> without

Revision 1.153  2003/05/22 12:08:14  misi3k
- rel 0.4
- fixed ldap support
- added ldap bcond

Revision 1.152  2003/05/21 05:55:07  misi3k
- rel 0.3
- added ldap patch ( A patch for retrieving public keys using LDAP )

Revision 1.151  2003/05/10 22:00:07  radek
- BR: %__perl instead of perl

Revision 1.150  2003/05/08 22:13:54  qboosh
- ssh-keysign(8) man makes no sense without ssh-keysign helper
  (maybe place them into separate subpackage? but not by default)

Revision 1.149  2003/04/29 13:59:46  misi3k
- rel 0.2
- added ssh-keysign man page

Revision 1.148  2003/04/29 13:53:50  misi3k
- updated to 3.6.1p2
- BR up to openssl-devel >= 0.9.7b

Revision 1.147  2003/04/01 19:16:52  lukasz
- up to 3.6.1p1

Revision 1.146  2003/03/31 12:06:20  trojan
- back to Epoch: 2
- release 0.1

Revision 1.145  2003/03/31 12:00:39  misi3k
- updated to 3.6
- removed patch1 (not needed)
- patch4 fix me

Revision 1.144  2003/02/16 23:00:13  qboosh
- gtk2 askpass BR: pkgconfig

Revision 1.143  2003/02/16 12:30:04  misiek
- rebuild

Revision 1.142  2003/02/13 14:05:22  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.141  2003/02/09 10:43:22  qboosh
- umask in %post
- build gtk2-based gnome-askpass by default

Revision 1.140  2003/01/31 11:47:54  qboosh
- pass xauth path to configure, so it's not needed (BTW, XFree86-devel was not sufficient)
- removed BR: chrpath - it's rpm-dependent thing

Revision 1.139  2003/01/15 15:28:12  siefca
- /etc/profile.d/openssh-askpass{sh,csh} enabled

Revision 1.138  2003/01/15 15:16:10  siefca
- added BuildRequires: chrpath
- fixed source version number while compiling ssh-askpass
- added /etc/profile.d/openssh-askpass.{sh,csh}
- rel 3

Revision 1.137  2002/11/05 15:17:24  zagrodzki
- add sigpipe patch
- rel 2

Revision 1.136  2002/10/15 23:58:42  misiek
- removed obsolete patches (important one are already merged upstream); updated to 3.5p1

Revision 1.135  2002/10/15 22:12:15  mmazur
- probably wrong (after midnight so excuse me)

Revision 1.134  2002/10/15 22:10:23  mmazur
- no gnome means no x right?

Revision 1.133  2002/10/09 13:14:42  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.132  2002/07/29 13:24:41  baggins
- release 3.2
- pam_misc patch - link sshd with libpam_misc
- removed Owl pam_userpass patch (not relly sure what it's for but it breaks PAM auth)

Revision 1.131  2002/07/29 12:19:12  baggins
- reordered patches

Revision 1.130  2002/07/29 12:16:29  baggins
- release 3.1
- added collection of _very_ useful patches from Owl distro (PAM fixes)

Revision 1.129  2002/07/03 19:37:47  qboosh
- added some de,fr,it,pt translations from contrib/caldera/openssh.spec
- Epoch: 1 to allow upgrade from patched 3.2.3p1
  (but don't move this package from /test yet - it still has some PAM problems!)

Revision 1.128  2002/06/28 09:48:07  qboosh
- changed Requires: FHS to Prereq (but it won't help if FHS install fail - rpm bug)

Revision 1.127  2002/06/27 18:14:15  qboosh
- updated config files (removed obsolete entries, added comments about new ones)
- release 3

Revision 1.126  2002/06/27 13:22:57  misiek
- add mmaping on 2.2 kernels

Revision 1.125  2002/06/26 15:42:57  misiek
- 3.4 (pam still not working)

Revision 1.124  2002/06/26 10:19:51  qboosh
- init script: use soft-only ulimit -c 0 (required for privsep to allow
  login of users with uid>0 and core limit set to >0); R: new rc-scripts
  I don't have better idea now.
- STBR ASAP together with rc-scripts - it's SECURITY UPDATE

Revision 1.123  2002/06/25 08:17:03  qboosh
- fixed pre server, added postun server; TODO: fix pam_limits usage!

Revision 1.122  2002/06/25 08:06:48  qboosh
- moved privsep dir to FHS-compliant location (R: new FHS); NFY

Revision 1.121  2002/06/24 21:38:07  lukasz
- STIL NOT TESTED
- addded privsep, added sshd user

Revision 1.120  2002/06/24 21:34:00  lukasz
- NOT TESTED:
- cvs server: [23:32:34] waiting for cvs's lock in /cvsroot/SOURCES

Revision 1.119  2002/06/23 19:49:49  kloczek
- updated to 3.3.p1,
- added ssh{,d}_config man pages to %files.

Revision 1.118  2002/05/25 12:18:04  kloczek
- merge translations from KSI.

Revision 1.117  2002/05/25 12:08:37  kloczek
- updated to 3.2.3p1.

Revision 1.116  2002/05/21 23:14:19  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.115  2002/05/20 22:29:07  kloczek
- release 1: use new %doc packing infrastructure.

Revision 1.114  2002/05/17 08:44:47  areq
- up 3.2.2p1, STBR
- Release: 0.1

Revision 1.113  2002/04/09 19:32:55  ankry
- removed man section from .so redirections
- release 4

Revision 1.112  2002/03/25 11:33:24  zagrodzki
- one more patch (disable DONT_TRY_OTHER_AF)
- rel. 3
- STBR

Revision 1.111  2002/03/25 09:57:14  zagrodzki
- fixed opensshd.conf
- rel. 2
- STBR

Revision 1.110  2002/03/07 22:29:10  misiek
- updated to 3.1p1

Revision 1.109  2002/03/07 16:20:18  qboosh
- release 4: SECURITY fix for off-by-one (pine-cert-20020301 patch); STBR

Revision 1.108  2002/03/05 17:41:51  marcus
- removed uclibc stuff
- rel.3.

Revision 1.107  2002/02/23 04:17:25  kloczek
- adapterized.

Revision 1.106  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.105  2002/01/28 01:42:36  kloczek
- merge translations from Conectiva.

Revision 1.104  2002/01/23 16:32:07  malekith
- rel 2
- embed subpackage added

Revision 1.103  2002/01/18 02:14:07  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.102  2001/12/02 18:08:25  kloczek
- updated to 3.0.2p1.

Revision 1.101  2001/11/16 23:10:30  lukasz
- updated to 3.0.1p1

Revision 1.100  2001/11/08 02:40:16  kloczek
- release 2.

Revision 1.99  2001/11/07 23:10:35  qboosh
- BuildRequires: perl (used in build process)
- removed "< version, > version" from Obsoletes - what they were for???

Revision 1.98  2001/11/07 15:32:35  mkierus
- fixed Patch0

Revision 1.97  2001/11/07 15:29:39  mkierus
- update to 3.0p1

Revision 1.96  2001/10/29 23:19:07  kloczek
- release 2.

Revision 1.95  2001/10/29 20:41:24  filon
- removed build requirement: gtk+-devel, implied by gnome-libs-devel

Revision 1.94  2001/09/28 03:54:21  kloczek
- s/primes/moduli/

Revision 1.93  2001/09/28 03:37:14  kloczek
- updated to 2.9.9p2,
- removed obsoleted pam_session patch.

Revision 1.92  2001/09/14 14:59:06  baggins
- release 5
- added pam_session patch - ALWAYS call pam_open_session (cretins!)

Revision 1.91  2001/09/11 22:14:17  klakier
- rel 4
- generating new keys moved to opensshd.init
  stb, PLEASE LEAVE THIS REL IN TEST UNTIL IT IS REALLY TESTED OUT!

Revision 1.90  2001/09/08 22:09:08  blues
- release 4
- set_12 patch - add -1 and -2 option to allow force SSH1/SSH2. Man-page
  changed too (tnx arekm)

Revision 1.89  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.87  2001/07/16 20:29:31  kloczek
- back to BuildRequires: openssl-devel >= 0.9.6a.

Revision 1.86  2001/07/16 16:12:36  qboosh
- disabled openssl version checking in code (rpm deps are sufficient)

Revision 1.85  2001/07/13 10:00:41  kloczek
- release 3: added "%requires_eq openssl".

Revision 1.84  2001/07/12 21:08:31  kloczek
- rebuild against openssl 0.9.6b.

Revision 1.83  2001/06/23 13:56:02  misiek
- don't obsolete sftp since both sftp protocols are a bit different

Revision 1.82  2001/06/17 23:49:10  kloczek
- updated to 2.9p2.

Revision 1.81  2001/05/28 20:53:15  kloczek
- release 4.

Revision 1.80  2001/05/28 19:44:23  misiek
- generate RSA key, too

Revision 1.79  2001/05/22 09:06:33  wiget
- switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.78  2001/05/12 11:45:35  misiek
- release 3
- fix directory for pid file

Revision 1.77  2001/05/08 20:52:12  kloczek
- release 2: rebuild against openssl 0.9.6a.

Revision 1.76  2001/05/02 16:29:11  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.75  2001/05/01 22:54:39  misiek
- updated to 2.9p1
- include groff symlink for slogin man page

Revision 1.74  2001/04/06 22:16:52  kloczek
- release 2: added handling reload with HUP signal in init script (siefca).

Revision 1.73  2001/03/22 15:21:59  kloczek
- updated to 2.5.2p2.

Revision 1.72  2001/03/20 19:08:56  misiek
- 2.5.2p1

Revision 1.71  2001/03/07 16:07:30  misiek
- change sftp-server location

Revision 1.70  2001/03/01 07:56:36  misiek
- 2.5.1p2; stb

Revision 1.69  2001/02/28 23:07:43  misiek
- whoah! previous 2.5.1 versions were without pam support; fixed; stb

Revision 1.68  2001/02/27 14:42:15  wiget
- fix init script (now sshd support both ssh protocol by default);release 3;stb

Revision 1.67  2001/02/24 23:47:28  kloczek
- release 2: added a security patch (oracle) from the cvs, by Markus Friedl.

Revision 1.66  2001/02/22 01:02:26  kloczek
- release 1.

Revision 1.65  2001/02/21 16:21:51  wiget
- clients obsoletes sftp

Revision 1.64  2001/02/21 10:46:10  misiek
2.5.1p1. stb

Revision 1.63  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.62  2001/01/29 20:20:13  baggins
- release 8
- added pam-session patch (always call pam_open_session)

Revision 1.61  2001/01/24 20:51:53  zagrodzki
- release 8
- prereq: chkconfig
- kloczek: don't fix everything but what's broken (somebody fix rpm first)

Revision 1.60  2001/01/24 06:23:06  kloczek
- release 6: Requires for rc-scripts changed to Prereg in server subpackage.

Revision 1.59  2001/01/10 09:47:49  kloczek
- release 5.

Revision 1.58  2001/01/10 08:37:57  qboosh
- use full path to sshd on start (or sshd will die on SIGHUP)
- s/no_gnome/_without_gnome/

Revision 1.57  2001/01/06 19:42:14  misiek
- release 4; fixed security bug

Revision 1.56  2000/12/11 08:28:12  qboosh
- conditional build: no_gnome

Revision 1.55  2000/12/05 15:58:34  kloczek
- release 3.

Revision 1.54  2000/11/23 22:11:14  zagrodzki
- BuildRequires: libwrap-devel

Revision 1.53  2000/11/12 16:47:37  kloczek
- release 2: rebuild against glibc 2.2.

Revision 1.52  2000/11/08 09:29:58  waszi
- fixed %doc

Revision 1.51  2000/11/07 18:09:15  baggins
- removed obsoleted canonname patch

Revision 1.50  2000/11/07 15:23:19  baggins
- update to 2.3.0p1
- PAM patch is obsolete (AT LAST!)
- updated LIBS and libwrap patches

Revision 1.49  2000/10/29 17:05:02  kloczek
- few cosmetics,
- use new rpm automation,
- rebuild openssh-gnome-askpass against gnome-libs linked with db3.

Revision 1.48  2000/10/28 19:17:25  misiek
- added openssh-canonname.patch
- release 3

Revision 1.47  2000/09/12 15:38:58  kloczek
- adapterized.

Revision 1.46  2000/09/12 11:43:39  baggins
- release 2
- StrictHostKeyChecking no

Revision 1.45  2000/09/04 19:20:05  kloczek
- updated to 2.2.0p1.

Revision 1.44  2000/08/22 22:43:49  kloczek
- release 2,
- added no_libnsl patch with disable checking for libnsl.

Revision 1.43  2000/07/17 01:50:49  kloczek
- updated to 2.1.1p4.

Revision 1.42  2000/07/12 22:41:33  kloczek
- updated to 2.1.1p3.

Revision 1.41  2000/07/06 03:35:57  kloczek
- updated to 2.1.1p2,
- removed outdated login,
- updated libwrap patch.

Revision 1.40  2000/06/12 14:41:53  zagrodzki
- updated to 2.1.1p1

Revision 1.39  2000/06/09 07:54:45  kloczek
- more %{__make} macros.

Revision 1.38  2000/06/09 07:23:27  kloczek
- added using %{__make} macro.

Revision 1.37  2000/05/31 11:15:12  bonkey
- upgrade to 2.1.0p3

Revision 1.36  2000/05/24 18:39:56  kloczek
- release 2,
- do not link with all binaries with all $(LIBS) libraries (added LIBS
  patch).

Revision 1.35  2000/05/24 18:03:18  zagrodzki
- prereq: pam (for ssh-keygen)

Revision 1.34  2000/05/22 10:23:48  wiget
- 2.1.0p2

Revision 1.33  2000/05/21 00:14:05  kloczek
- spec adapterized.

Revision 1.32  2000/05/15 10:03:29  kloczek
- release 3.

Revision 1.31  2000/05/15 09:59:31  misiek
- added openssh-login.patch (Mirek Nowakowski <nowam@limes.com.pl>)

Revision 1.30  2000/05/15 02:19:14  kloczek
- spec adapterized.

Revision 1.29  2000/05/12 11:21:32  misiek
- fixes, added pl translation

Revision 1.28  2000/05/10 20:35:26  kloczek
- fix install ssh-askpass,
- spec adapterized.

Revision 1.27  2000/05/10 20:13:22  kravietz
- fixes

Revision 1.26  2000/05/10 17:21:15  kravietz
- Upgrade to OpenSSH-2.1.0

Revision 1.25  2000/04/25 20:26:56  zagrodzki
- Prereq: openssl

Revision 1.24  2000/04/16 09:57:34  kloczek
- release 3,
- standarized %post for server.

Revision 1.23  2000/04/06 20:44:51  kloczek
- release 2.

Revision 1.22  2000/04/06 18:24:33  kravietz
- various minor fixes needed for 1.2.3

Revision 1.21  2000/04/06 17:37:23  kravietz
- openssh-linux.patch obsoleted in 1.2.3

Revision 1.20  2000/04/06 17:23:12  kravietz
- upgrade to 1.2.3
- changed primary FTP site to German mirror, original site no longer
  accepts requests

Revision 1.19  2000/04/01 11:15:14  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.18  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.17  2000/03/08 12:35:44  wiget
- 1.2.2p1

Revision 1.16  2000/02/19 10:34:08  kloczek
- release 3.

Revision 1.15  2000/02/18 17:56:22  misiek
- typo

Revision 1.14  2000/02/10 12:17:16  wiget
- added linux.patch (fix Xforwarding) by Misiek
- fix restarting/stoping sshd

Revision 1.13  2000/02/06 18:31:00  waszi
- added blacklist.sshd

Revision 1.12  2000/02/04 15:46:17  baggins
- updated to 1.2.2

Revision 1.11  2000/01/31 22:25:27  kloczek
- release 3,
- recompiled in new enviroment with libesd not depends on liasound.

Revision 1.10  2000/01/05 02:07:39  kloczek
- fixed Obsoletes rules.

Revision 1.9  2000/01/05 01:56:18  kloczek
- added sanity check is server runed before stopping sshad service in %preun
  in server subpackage (prevent double stopping on switch to ssh),
- check /var/lock/subsys/sshd in %preun and post before stopping and
  restarting openssh service,
- added /bin/login and util-linux to Requires list for server subpackage,
- beter Obsoletes rules for switching fron ssh,
- cosmetics.

Revision 1.8  2000/01/04 17:22:05  baggins
- fixed and uncommented PAM_NEW_AUTHTOK patch

Revision 1.7  2000/01/04 14:16:34  wiget
- 1.2.1pre24
- commented PAM patch because is broken (Janek please make new patch)

Revision 1.6  1999/12/21 23:04:45  wiget
- changed for new openssl
- some new version

Revision 1.5  1999/12/13 22:18:18  wiget
- updated to pre17
- enabled IPv6 support (patch updated by misiek@pld.org.pl)

Revision 1.4  1999/12/02 19:44:15  baggins
- added forced password change patch
- fixed Source URL
- added passwd.pamd to sources
- release++

Revision 1.3  1999/11/26 09:27:07  waszi
- small fixes
